<?php
// $Id: 20_CGI.php.devaults.Vsite
// Copyright (c) 2014-2022 Michael Stauber, SOLARSPEED.NET
// Copyright (c) 2014-2022 Team BlueOnyx, BLUEONYX.IT
//
// ui extension to set settings for cgi Vsite creation

if(defined("CGI_EXTENSION_CREATE_VSITE"))
{
    return 1;
}
define("CGI_EXTENSION_CREATE_VSITE", 1);

include_once("UIExtension.php");

class CGIExtension extends UIExtension
{
    function display(&$helper, &$container, &$cce_info)
    {
        $factory = $helper->getHtmlComponentFactory("base-apache");
        $cce = $helper->getCceClient();
    
        $defaults = $cce->get($cce_info["CCE_SERVICES_OID"], 'CGI');
        
        $pageId = $cce_info['PAGED_BLOCK_DEFAULT_PAGE'];
        
        $xff = $factory->getBoolean('cgi', $defaults['enabled']);
        $container->addFormField(
            $xff,
            $factory->getLabel('cgi'),
            $pageId
            );
    }

    function handle(&$helper, &$errors, &$cce_info, &$attributes)
    {
        //global $CGI_enabled;
        $this->attributes = $attributes;

        $cce = $helper->getCceClient();

        $cce->set($cce_info["CCE_SERVICES_OID"], 'CGI', array('enabled' => $this->attributes['cgi']));

        $errors = array_merge($errors, $cce->errors());
    }
}


